IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'BA_Role' AND COLUMN_NAME = 'CanAddToOwnRole')
BEGIN
	ALTER TABLE BA_Role ADD CanAddToOwnRole bit NOT NULL DEFAULT(0)
END;

IF NOT EXISTS(SELECT * FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'BA_Role' AND COLUMN_NAME = 'CanRemoveFromOwnRole')
BEGIN
	ALTER TABLE BA_Role ADD CanRemoveFromOwnRole bit NOT NULL DEFAULT(0)
END;